import request from '@/utils/request'

// 查询平台游记列表
export function listTravel(query) {
  return request({
    url: '/tuya/tuyatravel/list',
    method: 'get',
    params: query
  })
}

// 查询平台游记详细
export function getTravel(id) {
  return request({
    url: '/tuya/tuyatravel/' + id,
    method: 'get'
  })
}

// 新增平台游记
export function addTravel(data) {
  return request({
    url: '/tuya/tuyatravel',
    method: 'post',
    data: data
  })
}

// 修改平台游记
export function updateTravel(data) {
  return request({
    url: '/tuya/tuyatravel',
    method: 'put',
    data: data
  })
}

// 删除平台游记
export function delTravel(id) {
  return request({
    url: '/tuya/tuyatravel/' + id,
    method: 'delete'
  })
}
